Bug 654471 - [abrt] dwarves-1.8-1.fc13: raise: Process /usr/bin/pahole was killed by signal 6 (SIGABRT)
Summary: [abrt] dwarves-1.8-1.fc13: raise: Process /usr/bin/pahole was killed by signa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dwarves
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Arnaldo Carvalho de Melo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:651c75968b9f36adb393bf311c4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 22:51 UTC by Josh Stone
Modified: 2011-03-09 20:56 UTC (History)
1 user (show)

Fixed In Version: dwarves-1.9-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 20:54:47 UTC


Attachments (Terms of Use)
File: backtrace (13.51 KB, text/plain)
2010-11-17 22:51 UTC, Josh Stone
no flags Details

Description Josh Stone 2010-11-17 22:51:52 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: pahole /usr/lib64/libstdc++.so.6
component: dwarves
crash_function: raise
executable: /usr/bin/pahole
kernel: 2.6.35.6-48.fc14.x86_64
package: dwarves-1.8-1.fc13
rating: 4
reason: Process /usr/bin/pahole was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1290034005
uid: 500

How to reproduce
-----
I was first trying to use pahole on my own application, but this is an easier reproduction:

$ pahole /usr/lib64/libstdc++.so.6
die__process_class: DW_TAG_template_type_parameter @ <0x35a> not handled!
pahole: /builddir/build/BUILD/dwarves-1.8/dwarves.c:92: tag__delete: Assertion `list_empty(&self->node)' failed.
Aborted (core dumped)

Comment 1 Josh Stone 2010-11-17 22:51:54 UTC
Created attachment 461178 [details]
File: backtrace

Comment 2 Arnaldo Carvalho de Melo 2010-11-20 14:51:33 UTC
Ok, reproduced after installing gcc-debuginfo, working on it.

[root@felicio ~]# pahole /usr/lib/debug/usr/lib64/libstdc++.so.6.0.14.debug
die__process_class: DW_TAG_template_type_parameter @ <0x35a> not handled!
pahole: /builddir/build/BUILD/dwarves-1.8/dwarves.c:92: tag__delete: Assertion `list_empty(&self->node)' failed.
Aborted (core dumped)
[root@felicio ~]# rpm -qf /usr/lib/debug/usr/lib64/libstdc++.so.6.0.14.debug
gcc-debuginfo-4.5.1-4.fc14.x86_64
[root@felicio ~]#

Comment 3 Arnaldo Carvalho de Melo 2010-11-20 17:26:34 UTC
Can you try using these rpms:

http://userweb.kernel.org/~acme/dwarves/rpm/test/dwarves-1.9-1.fc14.x86_64.rpm
http://userweb.kernel.org/~acme/dwarves/rpm/test/libdwarves1-1.9-1.fc14.x86_64.rpm

It is something related to C++ templates, fix commited here:

http://git.kernel.org/?p=linux/kernel/git/acme/pahole.git;a=commit;h=525c2644f3683fa92bb5d837b99b9897eee08dc8

I'll wait for your results to tag v1.9, thanks.

Comment 4 Josh Stone 2010-11-20 21:08:31 UTC
It gets further, but now dies with the same TAG on a function:

$ pahole /usr/lib64/libstdc++.so.6 | wc -l
die__process_function: DW_TAG_template_type_parameter @ <0x7e7c> not handled!
pahole: /home/acme/git/pahole/rpm/BUILD/dwarves-1.9/dwarves.c:93: tag__delete: Assertion `list_empty(&self->node)' failed.
1594

I added wc just to show that there was some output before death this time.

Comment 5 Arnaldo Carvalho de Melo 2010-11-21 00:42:23 UTC
Yeah, some more template tags, same treatment + some more warnings about them not being supported, please try again with the new rpms, they retained the same release, so please force install them. New changesets pushed to the git.kernel.org repo.

Thanks a lot!

Comment 6 Josh Stone 2010-11-21 22:20:42 UTC
It now works both on libstdc++ and on my original binary.  Thanks!

Comment 7 Arnaldo Carvalho de Melo 2011-03-01 15:19:29 UTC
Submitting dwarves 1.9 to f1[345]

Comment 8 Fedora Update System 2011-03-01 15:44:39 UTC
Package dwarves-1.9-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dwarves-1.9-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dwarves-1.9-1.fc13
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-03-01 16:30:04 UTC
Package dwarves-1.9-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dwarves-1.9-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dwarves-1.9-1.fc14
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-03-02 01:45:47 UTC
dwarves-1.9-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dwarves'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dwarves-1.9-1.fc14

Comment 11 Fedora Update System 2011-03-09 20:54:25 UTC
dwarves-1.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-09 20:56:13 UTC
dwarves-1.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.